#include <bits/stdc++.h>
using namespace std;
int main()
{
    double p,q,r;
    long long L,R;
    cin>>p>>q>>r>>L>>R;

    long long br=0;
    for(int i=L;i<=R;++i)
    {
        if(ceil(i/p)+ceil(i/q)+ceil(i/r)<=i)++br;
        cout<<br<<endl;
    }
    cout<<br;

}